<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Sleeve](./bitburner.sleeve.md) &gt; [setToBladeburnerAction](./bitburner.sleeve.settobladeburneraction.md)

## Sleeve.setToBladeburnerAction() method

Set a sleeve to perform Bladeburner actions.

**Signature:**

```typescript
setToBladeburnerAction(
    sleeveNumber: number,
    action: BladeburnerActionTypeForSleeve,
    contract?: BladeburnerContractName,
  ): boolean;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

sleeveNumber


</td><td>

number


</td><td>

Index of the sleeve to perform a Bladeburner action.


</td></tr>
<tr><td>

action


</td><td>

[BladeburnerActionTypeForSleeve](./bitburner.bladeburneractiontypeforsleeve.md)


</td><td>

Name of the action to be performed.


</td></tr>
<tr><td>

contract


</td><td>

[BladeburnerContractName](./bitburner.bladeburnercontractname.md)


</td><td>

_(Optional)_ Name of the contract if applicable.


</td></tr>
</tbody></table>

**Returns:**

boolean

True if the sleeve started the given Bladeburner action, false otherwise.

## Remarks

RAM cost: 4 GB

Return a boolean indicating whether or not the sleeve started a Bladeburner action.

